import junit

class Jytest(junit.framework.TestCase):
    def __init__(self, name): 
        junit.framework.TestCase.__init__(self,name)
        self.theTestFunction = getattr(self,name)

    def runTest(self):
        """tells JUnit which test to run"""
        self.theTestFunction()